# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name filemanip

Name:           ghc-%{pkg_name}
Version:        0.3.6.3
Release:        1%{?dist}
Summary:        Expressive file and directory manipulation for Haskell

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-unix-compat-devel
# End cabal-rpm deps

%description
A Haskell library for working with files and directories. Includes code for
pattern matching, finding files, modifying file contents, and more.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{ghc_pkgdocdir}/LICENSE


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.markdown


%changelog
* Fri Sep 18 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.6.3-1
- spec file generated by cabal-rpm-0.9.7
